/*
 * @Author: Gui
 * @Date: 2023-03-01 19:20:44
 * @LastEditors: guicheng 1625811865@qq.com
 * @LastEditTime: 2024-04-12 17:40:28
 * @Description: kxs files
 * @filePath:
 */
import { http } from "@/utils/http";
import { dataResult } from "./apiResult";

// <*------用户板块--------*>
/** 获取用户管理列表 */
export const getUserList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/user/page",
    data
  );
};
/** 修改用户密码 */
export const changeUserPassword = (data?: object): dataResult => {
  return http.put(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/user/password",
    data
  );
};
/** 锁定用户 */
export const lockUserList = (data?: object): dataResult => {
  return http.put(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/user/lock",
    data
  );
};
/** 删除用户 */
export const deleteUserList = (data?: object): dataResult => {
  return http.delete(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/user/removeById",
    data
  );
};
/** 新增用户 */
export const AddUserList = (data?: object): dataResult => {
  return http.post(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/user/add",
    data
  );
};
/** 编辑用户 */
export const editUserList = (data?: object): dataResult => {
  return http.put(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/user/update",
    data
  );
};

// <*------角色板块--------*>

/** 获取全部角色管理列表 */
export const getAllRoleList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/role/list",
    data
  );
};
/** 获取角色管理列表 */
export const getRoleList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/role/page",
    data
  );
};
/** 获取当前角色权限列表 */
export const getRoleRightList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/menu/getRoleTree",
    data
  );
};
/** 添加系统角色 */
export const postRoleList = (data?: object): dataResult => {
  return http.post(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/role/add",
    data
  );
};
/** 编辑系统角色 */
export const putRoleList = (data?: object): dataResult => {
  return http.put(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/role/update",
    data
  );
};
/** 删除系统角色 */
export const deleteRoleList = (data?: object): dataResult => {
  return http.delete(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/role/removeById",
    data
  );
};
/** 获取所有角色权限列表 */
export const getRoleTreeList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/menu/getRoleTree",
    data
  );
};

// <*------菜单板块--------*>

/** 获取菜单列表 */
export const getMenuList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/menu/tree",
    data
  );
};
/** 获取菜单列表 */
export const putRoleMenuList = (data?: object): dataResult => {
  return http.put(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/role/menu",
    data
  );
};
/** 添加菜单 */
export const postMenuList = (data?: object): dataResult => {
  return http.post(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/menu/add",
    data
  );
};
/** 编辑菜单 */
export const putMenuList = (data?: object): dataResult => {
  return http.put(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/menu/update",
    data
  );
};
/** 删除菜单 */
export const deleteMenuList = (data?: object): dataResult => {
  return http.delete(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/menu/removeById",
    data
  );
};

// <*------部门板块--------*>

/** 获取全部部门列表 */
export const getAllDeptList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/dept/list",
    data
  );
};
/** 获取部门列表 */
export const getDeptList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/dept/tree",
    data
  );
};
/** 删除部门列表 */
export const deleteDeptList = (data?: object): dataResult => {
  return http.delete(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/dept/removeById",
    data
  );
};
/** 编辑部门 */
export const putDeptList = (data?: object): dataResult => {
  return http.put(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/dept/update",
    data
  );
};
/** 添加部门 */
export const postDeptList = (data?: object): dataResult => {
  return http.post(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/dept/add",
    data
  );
};
// <*------岗位板块--------*>

/** 获取全部列表 */
export const getAllPostList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/post/list",
    data
  );
};
/** 获取分页岗位列表 */
export const getPostList = (data?: object): dataResult => {
  return http.get(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/post/page",
    data
  );
};
/** 删除岗位列表 */
export const deletePostList = (data?: object): dataResult => {
  return http.delete(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/post/removeById",
    data
  );
};
/** 编辑岗位 */
export const putPostList = (data?: object): dataResult => {
  return http.put(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/post/update",
    data
  );
};
/** 添加岗位 */
export const postPostList = (data?: object): dataResult => {
  return http.post(
    "http://test.apigateway.shuangkebang.com/v1/skb/sysServer/post/add",
    data
  );
};
